Download it now!
Bug 90867 - EDITING: Interactive image crop tool applies crop even when you try to abort
Summary: EDITING: Interactive image crop tool applies crop even when you try to abort
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Image-Crop
  Show dependency treegraph
 
Reported: 2015-04-25 18:48 UTC by tmacalp
Modified: 2020-06-03 03:48 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tmacalp 2015-04-25 18:48:39 UTC
Description:
When attempting to use the new interactive crop tool to crop an image in either Draw or Impress, there is no way to abort the action.  Anything you do while trying to abort will simply apply the crop.

Steps to reproduce:
1. New drawing
2. Insert an image
3. Right click image and select Crop Image
4. Adjust corners of crop area to desired crop
5. Hit escape key

Expected:
Escape should exit the crop tool without applying our selected crop.

Actual:
The crop is applied.

Notes:
Escape would be the most obvious way to abort a crop, but I would also expect a click outside of the image to abort as well.  For instance, the crop tool in gimp only applies the crop if you click within the crop region or press enter.  This seems much more intuitive to me.
Comment 1 Yousuf Philips (jay) (retired) 2015-04-25 19:51:22 UTC
Confirmed, as mentioned by me in bug 86329 comment 18 answer 1.

Version: 5.0.0.0.alpha1+
Build ID: badec7478035008f514e0976a94438fe2e32dc40
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2015-04-22_00:50:58
Comment 2 Gülşah Köse 2016-04-27 10:40:49 UTC
Reproducable on Ubuntu 15.04 with LibreOfficeDev 5.2.0.0.alpha1.
Comment 3 Thorsten Behrens (CIB) 2016-04-30 23:18:39 UTC
(In reply to tmacalp from comment #0)
> Escape should exit the crop tool without applying our selected crop.
> 

Hmm - so consistent with other Draw/Impress tools, pressing escape
_while_ dragging aborts that operation. So you're still in crop mode
then, but the handle adjustment is not applied.

But I suppose you want to also abort multiple crop steps, where in the
end the user decides she does not want any crop at all?
Comment 4 QA Administrators 2017-05-22 13:39:34 UTC Comment hidden (obsolete)
Comment 5 tmacalp 2017-05-24 20:09:31 UTC
This still affects LO 5.3.3.
Comment 6 QA Administrators 2018-06-02 03:10:26 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2020-06-03 03:48:24 UTC
Dear tmacalp,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug